org.eclipse.actf.model.dom.odf.draw

## Interface PageElement

All Superinterfaces:
  Element, Node, ODFElement

    public interface PageElement
    extends ODFElement

Interface for <draw:page> element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`ODFElement` `createObject(long x, long y, long width, long height)` Create new object in page
`String` `getAttrDrawMasterPageName()` Return draw:master-page-name attribute
`String` `getAttrDrawName()` Return draw:name attribute
`String` `getAttrDrawNavOrder()` Return draw:nav-order attribute
`String` `getAttrDrawStyleName()` Return draw:style-name attribute
`List<ODFElement>` `getChildNodesInNavOrder()` Return child ODF nodes by navigation order
`NodeList` `getDrawingObjectElements()` Return graphic elements in page
`int` `getPageIndex()` Return page index
`NotesElement` `getPresentationNotesElement()` Return <presentation:notes> element

### Methods inherited from interface org.w3c.dom.Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Method Detail

#### createObject

    ODFElement createObject(long x,
                          long y,
                          long width,
                          long height)

Create new object in page

Parameters:
  `x` - x position of new object
  `y` - y position of new object
  `width` - width of new object
  `height` - height of new object
Returns:
  ODFElement

#### getAttrDrawName

    String getAttrDrawName()

Return draw:name attribute

Returns:
  String

#### getAttrDrawStyleName

    String getAttrDrawStyleName()

Return draw:style-name attribute

Returns:
  String

#### getAttrDrawMasterPageName

    String getAttrDrawMasterPageName()

Return draw:master-page-name attribute

Returns:
  String

#### getAttrDrawNavOrder

    String getAttrDrawNavOrder()

Return draw:nav-order attribute

Returns:
  String

#### getPageIndex

    int getPageIndex()

Return page index

Returns:
  int

#### getChildNodesInNavOrder

    List<ODFElement> getChildNodesInNavOrder()

Return child ODF nodes by navigation order

Returns:
  List<ODFElement>

#### getDrawingObjectElements

    NodeList getDrawingObjectElements()

Return graphic elements in page

Returns:
  NodeList

#### getPresentationNotesElement

    NotesElement getPresentationNotesElement()

Return <presentation:notes> element

Returns:
  NotesElement